SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SUSchemaRef Struct Reference

Used to manage a Schema object. More...

`#include <SketchUpAPI/model/schema.h>`

## Related Functions
(Note that these are not member functions.)
enum SUResult | SUSchemaGetSchemaType (SUSchemaRef schema_ref, const char *schema_type_name, SUSchemaTypeRef *schema_type_ref)
| Gets a schema type from a schema. More...
enum SUResult | SUSchemaGetSchemaName (SUSchemaRef schema_ref, SUStringRef *schema_name)
| Gets the name from a schema object. More...

## Detailed Description

Used to manage a Schema object.

## Friends And Related Function Documentation

enum SUResult SUSchemaGetSchemaName | ( | SUSchemaRef | schema_ref,
|  | SUStringRef * | schema_name
| ) |  |
| related

Gets the name from a schema object.

Since
  SketchUp 2022.0, API 10.0

Parameters

  [in] | schema_ref | The schema object.
  [out] | schema_name | The name of the schema.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if `schema_ref` is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if `schema_name` is NULL

enum SUResult SUSchemaGetSchemaType | ( | SUSchemaRef | schema_ref,
|  | const char * | schema_type_name,
|  | SUSchemaTypeRef * | schema_type_ref
| ) |  |
| related

Gets a schema type from a schema.

Parameters

  [in] | schema_ref | The schema object.
  [in] | schema_type_name | The name of the schema type to get.
  [out] | schema_type_ref | The schema type retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if schema_ref is not a valid object
  - SU_ERROR_NULL_POINTER_INPUT if schema_type_name is NULL
  - SU_ERROR_INVALID_INPUT if schema_type_name is not a type from this schema
  - SU_ERROR_NULL_POINTER_OUTPUT if schema_type_ref is not a valid object

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/model/schema.h